<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: textprop.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>textprop.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c">mtext_get_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの一番上の値を得る.  <a href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf">mtext_get_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの値を複数個得る.  <a href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9">mtext_get_prop_keys</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の指定した位置のテキストプロパティのキーのリストを得る.  <a href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f">mtext_put_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティを設定する.  <a href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787">mtext_put_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">同じキーのテキストプロパティを複数設定する.  <a href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65">mtext_push_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティをプッシュする.  <a href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5">mtext_pop_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティをポップする.  <a href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4">mtext_prop_range</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, int pos, int *from, int *to, int deeper)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティが同じ値をとる範囲を調べる.  <a href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b">mtext_property</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val, int control_bits)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティを生成する.  <a href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a">mtext_property_mtext</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">あるテキストプロパティを持つ M-text を返す.  <a href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec">mtext_property_key</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティのキーを返す.  <a href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31">mtext_property_value</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの値を返す.  <a href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25">mtext_property_start</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの開始位置を返す.  <a href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102">mtext_property_end</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストプロパティの終了位置を返す.  <a href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e">mtext_get_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">一番上のテキストプロパティを得る.  <a href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58">mtext_get_properties</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> **props, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">複数のテキストプロパティを得る.  <a href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84">mtext_attach_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-textにテキストプロパティを付加する.  <a href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258">mtext_detach_property</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text からテキストプロパティを分離する.  <a href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f">mtext_push_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text にテキストプロパティをプッシュする.  <a href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e">mtext_serialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *property_list)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text 中のテキストプロパティをシリアライズする.  <a href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf">mtext_deserialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text 中のテキストプロパティをデシリアライズする.  <a href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735">Mtext_prop_serializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シリアライザ関数を指定するシンボル.  <a href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077">Mtext_prop_deserializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">デシリアライザ関数を指定するシンボル.  <a href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
